package com.ifish.validator;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;


/**
 * 直播间信息
 * @author Administrator
 *
 */
public class LiveRoomParam{
	/**
	 * 用户ID
	 */
	@NotBlank
	private Integer userId;
	/**
	 * 直播间名称
	 */
	@NotBlank
	@Length(max=20)
	private String roomName;
	/**
	 * 直播间描述
	 */
	@NotBlank
	@Length(max=70)
	private String roomDesc;
	/**
	 * 直播间状态
	 * @return
	 */
	@NotBlank
	@Length(max=1)
	private String RoomStatus;
	/**
	 * 摄像头ID
	 */
	@NotBlank
	@Length(max=20)
	private String cameraId;
	
	public String getRoomName() {
		return roomName;
	}
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}
	public String getRoomDesc() {
		return roomDesc;
	}
	public void setRoomDesc(String roomDesc) {
		this.roomDesc = roomDesc;
	}
	public String getRoomStatus() {
		return RoomStatus;
	}
	public void setRoomStatus(String roomStatus) {
		RoomStatus = roomStatus;
	}
	public String getCameraId() {
		return cameraId;
	}
	public void setCameraId(String cameraId) {
		this.cameraId = cameraId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
}
